# Uses of Class
org.eclipse.ltk.core.refactoring.PerformChangeOperation

Packages that use PerformChangeOperation
Package
Description
org.eclipse.ltk.ui.refactoring
Application programming interface to implement a wizard based user interface for refactorings.

## Uses of PerformChangeOperation in org.eclipse.ltk.ui.refactoring

Methods in org.eclipse.ltk.ui.refactoring that return PerformChangeOperation
Modifier and Type
Method
Description
`static PerformChangeOperation`
RefactoringUI.`createUIAwareChangeOperation(Change change)`
Deprecated, for removal: This API element is subject to removal in a future version.
use `PerformChangeOperation(Change)`.
Methods in org.eclipse.ltk.ui.refactoring with parameters of type PerformChangeOperation
Modifier and Type
Method
Description
`final org.eclipse.ltk.internal.ui.refactoring.FinishResult`
RefactoringWizard.`internalPerformFinish(org.eclipse.ltk.internal.ui.refactoring.InternalAPI api, PerformChangeOperation op)`
Note: This method is for internal use only.